Package org.eclipse.birt.chart.model.impl

# Class ModelPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.birt.chart.model.impl.ModelPackageImpl

All Implemented Interfaces:
  `ModelPackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class ModelPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements ModelPackage
An implementation of the model Package .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.birt.chart.model.ModelPackage

`ModelPackage.Literals`

## Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.birt.chart.model.ModelPackage

`CHART, CHART__BLOCK, CHART__DESCRIPTION, CHART__DIMENSION, CHART__EMPTY_MESSAGE, CHART__EXTENDED_PROPERTIES, CHART__GRID_COLUMN_COUNT, CHART__INTERACTIVITY, CHART__SAMPLE_DATA, CHART__SCRIPT, CHART__SERIES_THICKNESS, CHART__STYLES, CHART__SUB_TYPE, CHART__TYPE, CHART__UNITS, CHART__VERSION, CHART_FEATURE_COUNT, CHART_WITH_AXES, CHART_WITH_AXES__AXES, CHART_WITH_AXES__BLOCK, CHART_WITH_AXES__DESCRIPTION, CHART_WITH_AXES__DIMENSION, CHART_WITH_AXES__EMPTY_MESSAGE, CHART_WITH_AXES__EXTENDED_PROPERTIES, CHART_WITH_AXES__FLOOR_FILL, CHART_WITH_AXES__GRID_COLUMN_COUNT, CHART_WITH_AXES__INTERACTIVITY, CHART_WITH_AXES__ORIENTATION, CHART_WITH_AXES__REVERSE_CATEGORY, CHART_WITH_AXES__ROTATION, CHART_WITH_AXES__SAMPLE_DATA, CHART_WITH_AXES__SCRIPT, CHART_WITH_AXES__SERIES_THICKNESS, CHART_WITH_AXES__STUDY_LAYOUT, CHART_WITH_AXES__STYLES, CHART_WITH_AXES__SUB_TYPE, CHART_WITH_AXES__TYPE, CHART_WITH_AXES__UNIT_SPACING, CHART_WITH_AXES__UNITS, CHART_WITH_AXES__VERSION, CHART_WITH_AXES__WALL_FILL, CHART_WITH_AXES_FEATURE_COUNT, CHART_WITHOUT_AXES, CHART_WITHOUT_AXES__BLOCK, CHART_WITHOUT_AXES__COVERAGE, CHART_WITHOUT_AXES__DESCRIPTION, CHART_WITHOUT_AXES__DIMENSION, CHART_WITHOUT_AXES__EMPTY_MESSAGE, CHART_WITHOUT_AXES__EXTENDED_PROPERTIES, CHART_WITHOUT_AXES__GRID_COLUMN_COUNT, CHART_WITHOUT_AXES__INTERACTIVITY, CHART_WITHOUT_AXES__MIN_SLICE, CHART_WITHOUT_AXES__MIN_SLICE_LABEL, CHART_WITHOUT_AXES__MIN_SLICE_PERCENT, CHART_WITHOUT_AXES__SAMPLE_DATA, CHART_WITHOUT_AXES__SCRIPT, CHART_WITHOUT_AXES__SERIES_DEFINITIONS, CHART_WITHOUT_AXES__SERIES_THICKNESS, CHART_WITHOUT_AXES__STYLES, CHART_WITHOUT_AXES__SUB_TYPE, CHART_WITHOUT_AXES__TYPE, CHART_WITHOUT_AXES__UNITS, CHART_WITHOUT_AXES__VERSION, CHART_WITHOUT_AXES_FEATURE_COUNT, COVERAGE_TYPE, COVERAGE_TYPE_OBJECT, DIAL_CHART, DIAL_CHART__BLOCK, DIAL_CHART__COVERAGE, DIAL_CHART__DESCRIPTION, DIAL_CHART__DIAL_SUPERIMPOSITION, DIAL_CHART__DIMENSION, DIAL_CHART__EMPTY_MESSAGE, DIAL_CHART__EXTENDED_PROPERTIES, DIAL_CHART__GRID_COLUMN_COUNT, DIAL_CHART__INTERACTIVITY, DIAL_CHART__MIN_SLICE, DIAL_CHART__MIN_SLICE_LABEL, DIAL_CHART__MIN_SLICE_PERCENT, DIAL_CHART__SAMPLE_DATA, DIAL_CHART__SCRIPT, DIAL_CHART__SERIES_DEFINITIONS, DIAL_CHART__SERIES_THICKNESS, DIAL_CHART__STYLES, DIAL_CHART__SUB_TYPE, DIAL_CHART__TYPE, DIAL_CHART__UNITS, DIAL_CHART__VERSION, DIAL_CHART_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getChart()`
`org.eclipse.emf.ecore.EReference`
`getChart_Block()`
`org.eclipse.emf.ecore.EReference`
`getChart_Description()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_Dimension()`
`org.eclipse.emf.ecore.EReference`
`getChart_EmptyMessage()`
`org.eclipse.emf.ecore.EReference`
`getChart_ExtendedProperties()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_GridColumnCount()`
`org.eclipse.emf.ecore.EReference`
`getChart_Interactivity()`
`org.eclipse.emf.ecore.EReference`
`getChart_SampleData()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_Script()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_SeriesThickness()`
`org.eclipse.emf.ecore.EReference`
`getChart_Styles()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_SubType()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_Type()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_Units()`
`org.eclipse.emf.ecore.EAttribute`
`getChart_Version()`
`org.eclipse.emf.ecore.EClass`
`getChartWithAxes()`
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_Axes()`
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_FloorFill()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_Orientation()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_ReverseCategory()`
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_Rotation()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_StudyLayout()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithAxes_UnitSpacing()`
`org.eclipse.emf.ecore.EReference`
`getChartWithAxes_WallFill()`
`org.eclipse.emf.ecore.EClass`
`getChartWithoutAxes()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_Coverage()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_MinSlice()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_MinSliceLabel()`
`org.eclipse.emf.ecore.EAttribute`
`getChartWithoutAxes_MinSlicePercent()`
`org.eclipse.emf.ecore.EReference`
`getChartWithoutAxes_SeriesDefinitions()`
`org.eclipse.emf.ecore.EDataType`
`getCoverageType()`
`org.eclipse.emf.ecore.EDataType`
`getCoverageTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getDialChart()`
`org.eclipse.emf.ecore.EAttribute`
`getDialChart_DialSuperimposition()`
`ModelFactory`
`getModelFactory()`
`static ModelPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static ModelPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `ModelPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `ModelPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getChart

public org.eclipse.emf.ecore.EClass getChart()

Specified by:
  `getChart` in interface `ModelPackage`
Returns:
  the meta object for class 'Chart'.
See Also:
  - `Chart`

### getChart_Version

public org.eclipse.emf.ecore.EAttribute getChart_Version()

Specified by:
  `getChart_Version` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Version'.
See Also:
  - `Chart.getVersion()`
  - `ModelPackage.getChart()`

### getChart_Type

public org.eclipse.emf.ecore.EAttribute getChart_Type()

Specified by:
  `getChart_Type` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Chart.getType()`
  - `ModelPackage.getChart()`

### getChart_SubType

public org.eclipse.emf.ecore.EAttribute getChart_SubType()

Specified by:
  `getChart_SubType` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Sub Type'.
See Also:
  - `Chart.getSubType()`
  - `ModelPackage.getChart()`

### getChart_Description

public org.eclipse.emf.ecore.EReference getChart_Description()

Specified by:
  `getChart_Description` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Description'.
See Also:
  - `Chart.getDescription()`
  - `ModelPackage.getChart()`

### getChart_Block

public org.eclipse.emf.ecore.EReference getChart_Block()

Specified by:
  `getChart_Block` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Block'.
See Also:
  - `Chart.getBlock()`
  - `ModelPackage.getChart()`

### getChart_Dimension

public org.eclipse.emf.ecore.EAttribute getChart_Dimension()

Specified by:
  `getChart_Dimension` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Dimension'.
See Also:
  - `Chart.getDimension()`
  - `ModelPackage.getChart()`

### getChart_Script

public org.eclipse.emf.ecore.EAttribute getChart_Script()

Specified by:
  `getChart_Script` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Script'.
See Also:
  - `Chart.getScript()`
  - `ModelPackage.getChart()`

### getChart_Units

public org.eclipse.emf.ecore.EAttribute getChart_Units()

Specified by:
  `getChart_Units` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Units'.
See Also:
  - `Chart.getUnits()`
  - `ModelPackage.getChart()`

### getChart_SeriesThickness

public org.eclipse.emf.ecore.EAttribute getChart_SeriesThickness()

Specified by:
  `getChart_SeriesThickness` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Series Thickness'.
See Also:
  - `Chart.getSeriesThickness()`
  - `ModelPackage.getChart()`

### getChart_GridColumnCount

public org.eclipse.emf.ecore.EAttribute getChart_GridColumnCount()

Specified by:
  `getChart_GridColumnCount` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Grid Column Count'.
See Also:
  - `Chart.getGridColumnCount()`
  - `ModelPackage.getChart()`

### getChart_ExtendedProperties

public org.eclipse.emf.ecore.EReference getChart_ExtendedProperties()

Specified by:
  `getChart_ExtendedProperties` in interface `ModelPackage`
Returns:
  the meta object for the containment reference list 'Extended Properties'.
See Also:
  - `Chart.getExtendedProperties()`
  - `ModelPackage.getChart()`

### getChart_SampleData

public org.eclipse.emf.ecore.EReference getChart_SampleData()

Specified by:
  `getChart_SampleData` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Sample Data'.
See Also:
  - `Chart.getSampleData()`
  - `ModelPackage.getChart()`

### getChart_Styles

public org.eclipse.emf.ecore.EReference getChart_Styles()

Specified by:
  `getChart_Styles` in interface `ModelPackage`
Returns:
  the meta object for the containment reference list 'Styles'.
See Also:
  - `Chart.getStyles()`
  - `ModelPackage.getChart()`

### getChart_Interactivity

public org.eclipse.emf.ecore.EReference getChart_Interactivity()

Specified by:
  `getChart_Interactivity` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Interactivity'.
See Also:
  - `Chart.getInteractivity()`
  - `ModelPackage.getChart()`

### getChart_EmptyMessage

public org.eclipse.emf.ecore.EReference getChart_EmptyMessage()

Specified by:
  `getChart_EmptyMessage` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Empty Message'.
See Also:
  - `Chart.getEmptyMessage()`
  - `ModelPackage.getChart()`

### getChartWithAxes

public org.eclipse.emf.ecore.EClass getChartWithAxes()

Specified by:
  `getChartWithAxes` in interface `ModelPackage`
Returns:
  the meta object for class 'Chart With Axes'.
See Also:
  - `ChartWithAxes`

### getChartWithAxes_Axes

public org.eclipse.emf.ecore.EReference getChartWithAxes_Axes()

Specified by:
  `getChartWithAxes_Axes` in interface `ModelPackage`
Returns:
  the meta object for the containment reference list 'Axes'.
See Also:
  - `ChartWithAxes.getAxes()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithAxes_WallFill

public org.eclipse.emf.ecore.EReference getChartWithAxes_WallFill()

Specified by:
  `getChartWithAxes_WallFill` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Wall Fill'.
See Also:
  - `ChartWithAxes.getWallFill()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithAxes_FloorFill

public org.eclipse.emf.ecore.EReference getChartWithAxes_FloorFill()

Specified by:
  `getChartWithAxes_FloorFill` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Floor Fill'.
See Also:
  - `ChartWithAxes.getFloorFill()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithAxes_Orientation

public org.eclipse.emf.ecore.EAttribute getChartWithAxes_Orientation()

Specified by:
  `getChartWithAxes_Orientation` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  - `ChartWithAxes.getOrientation()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithAxes_UnitSpacing

public org.eclipse.emf.ecore.EAttribute getChartWithAxes_UnitSpacing()

Specified by:
  `getChartWithAxes_UnitSpacing` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Unit Spacing'.
See Also:
  - `ChartWithAxes.getUnitSpacing()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithAxes_Rotation

public org.eclipse.emf.ecore.EReference getChartWithAxes_Rotation()

Specified by:
  `getChartWithAxes_Rotation` in interface `ModelPackage`
Returns:
  the meta object for the containment reference 'Rotation'.
See Also:
  - `ChartWithAxes.getRotation()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithAxes_ReverseCategory

public org.eclipse.emf.ecore.EAttribute getChartWithAxes_ReverseCategory()

Specified by:
  `getChartWithAxes_ReverseCategory` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Reverse Category'.
See Also:
  - `ChartWithAxes.isReverseCategory()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithAxes_StudyLayout

public org.eclipse.emf.ecore.EAttribute getChartWithAxes_StudyLayout()

Specified by:
  `getChartWithAxes_StudyLayout` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Study Layout'.
See Also:
  - `ChartWithAxes.isStudyLayout()`
  - `ModelPackage.getChartWithAxes()`

### getChartWithoutAxes

public org.eclipse.emf.ecore.EClass getChartWithoutAxes()

Specified by:
  `getChartWithoutAxes` in interface `ModelPackage`
Returns:
  the meta object for class 'Chart Without Axes'.
See Also:
  - `ChartWithoutAxes`

### getChartWithoutAxes_SeriesDefinitions

public org.eclipse.emf.ecore.EReference getChartWithoutAxes_SeriesDefinitions()

Specified by:
  `getChartWithoutAxes_SeriesDefinitions` in interface `ModelPackage`
Returns:
  the meta object for the containment reference list 'Series Definitions'.
See Also:
  - `ChartWithoutAxes.getSeriesDefinitions()`
  - `ModelPackage.getChartWithoutAxes()`

### getChartWithoutAxes_MinSlice

public org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_MinSlice()

Specified by:
  `getChartWithoutAxes_MinSlice` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Min Slice'.
See Also:
  - `ChartWithoutAxes.getMinSlice()`
  - `ModelPackage.getChartWithoutAxes()`

### getChartWithoutAxes_MinSlicePercent

public org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_MinSlicePercent()

Specified by:
  `getChartWithoutAxes_MinSlicePercent` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Min Slice Percent'.
See Also:
  - `ChartWithoutAxes.isMinSlicePercent()`
  - `ModelPackage.getChartWithoutAxes()`

### getChartWithoutAxes_MinSliceLabel

public org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_MinSliceLabel()

Specified by:
  `getChartWithoutAxes_MinSliceLabel` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Min Slice Label'.
See Also:
  - `ChartWithoutAxes.getMinSliceLabel()`
  - `ModelPackage.getChartWithoutAxes()`

### getChartWithoutAxes_Coverage

public org.eclipse.emf.ecore.EAttribute getChartWithoutAxes_Coverage()

Specified by:
  `getChartWithoutAxes_Coverage` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Coverage'.
See Also:
  - `ChartWithoutAxes.getCoverage()`
  - `ModelPackage.getChartWithoutAxes()`

### getDialChart

public org.eclipse.emf.ecore.EClass getDialChart()

Specified by:
  `getDialChart` in interface `ModelPackage`
Returns:
  the meta object for class 'Dial Chart'.
See Also:
  - `DialChart`

### getDialChart_DialSuperimposition

public org.eclipse.emf.ecore.EAttribute getDialChart_DialSuperimposition()

Specified by:
  `getDialChart_DialSuperimposition` in interface `ModelPackage`
Returns:
  the meta object for the attribute 'Dial Superimposition'.
See Also:
  - `DialChart.isDialSuperimposition()`
  - `ModelPackage.getDialChart()`

### getCoverageType

public org.eclipse.emf.ecore.EDataType getCoverageType()

Specified by:
  `getCoverageType` in interface `ModelPackage`
Returns:
  the meta object for data type 'Coverage Type'.

### getCoverageTypeObject

public org.eclipse.emf.ecore.EDataType getCoverageTypeObject()

Specified by:
  `getCoverageTypeObject` in interface `ModelPackage`
Returns:
  the meta object for data type 'Coverage Type Object'.
See Also:
  - `Double`

### getModelFactory

public ModelFactory getModelFactory()

Specified by:
  `getModelFactory` in interface `ModelPackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.